Package com.emc.documentum.rest.model

# Class UserWebSessionConfig

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.UserWebSessionConfig

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class UserWebSessionConfig extends PersistentObject

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserWebSessionConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getUserSessionInactivityTimeout()`
  `int`
  `getUserSessionMaxCount()`
  `boolean`
  `isUserSessionLimitEnabled()`
  `void`
  `setUserSessionInactivityTimeout(int userSessionInactivityTimeout)`
  `void`
  `setUserSessionLimitEnabled(boolean userSessionLimitEnabled)`
  `void`
  `setUserSessionMaxCount(int userSessionMaxCount)`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getInternalFields, getMandatoryAttribute, getMandatoryFields, getOptionalFields, getParentId, getPermissions, getReqDigest, getType, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserWebSessionConfig

    public UserWebSessionConfig()

- ## Method Details

  - ### getUserSessionMaxCount

    public int getUserSessionMaxCount()

  - ### setUserSessionMaxCount

    public void setUserSessionMaxCount(int userSessionMaxCount)

  - ### getUserSessionInactivityTimeout

    public int getUserSessionInactivityTimeout()

  - ### setUserSessionInactivityTimeout

    public void setUserSessionInactivityTimeout(int userSessionInactivityTimeout)

  - ### isUserSessionLimitEnabled

    public boolean isUserSessionLimitEnabled()

  - ### setUserSessionLimitEnabled

    public void setUserSessionLimitEnabled(boolean userSessionLimitEnabled)